Bug 990175 (CVE-2013-4933) - CVE-2013-4933 wireshark: DoS (application crash) in the Netmon file parser (wnpa-sec-2013-51)
Summary: CVE-2013-4933 wireshark: DoS (application crash) in the Netmon file parser (w...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-4933
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 979246 990189 990202 994914 994924 1074904 1074905
Blocks: 974906 990216
TreeView+ depends on / blocked
 
Reported: 2013-07-30 14:03 UTC by Jan Lieskovsky
Modified: 2019-09-29 13:06 UTC (History)
5 users (show)

Fixed In Version: Wireshark 1.8.9, Wireshark 1.10.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-25 16:44:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1569 normal SHIPPED_LIVE Moderate: wireshark security, bug fix, and enhancement update 2013-11-20 21:40:01 UTC
Red Hat Product Errata RHSA-2014:0341 normal SHIPPED_LIVE Moderate: wireshark security update 2014-03-31 20:31:57 UTC

Description Jan Lieskovsky 2013-07-30 14:03:44 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2013-4933 to the following vulnerability:

The netmon_open function in wiretap/netmon.c in the Netmon file parser in Wireshark 1.8.x before 1.8.9 and 1.10.x before 1.10.1 does not properly allocate memory, which allows remote attackers to cause a denial of service (application crash) via a crafted packet-trace file.

References:
[1] http://anonsvn.wireshark.org/viewvc/trunk/wiretap/netmon.c?r1=49673&r2=49672&pathrev=49673
[2] http://anonsvn.wireshark.org/viewvc?view=revision&revision=49673
[3] http://www.wireshark.org/docs/relnotes/wireshark-1.10.1.html
[4] http://www.wireshark.org/docs/relnotes/wireshark-1.8.9.html
[5] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8742
[6] https://www.wireshark.org/security/wnpa-sec-2013-51.html

Comment 1 Jan Lieskovsky 2013-07-30 14:41:57 UTC
Created wireshark tracking bugs for this issue:

Affects: fedora-18 [bug 990189]

Comment 2 Huzaifa S. Sidhpurwala 2013-08-08 08:36:44 UTC
Statement:

(none)

Comment 5 Fedora Update System 2013-09-28 00:15:02 UTC
wireshark-1.10.2-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2013-10-03 01:06:03 UTC
wireshark-1.10.2-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 errata-xmlrpc 2013-11-21 07:32:56 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1569 https://rhn.redhat.com/errata/RHSA-2013-1569.html

Comment 8 Fedora Update System 2013-12-19 07:13:00 UTC
wireshark-1.10.2-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 errata-xmlrpc 2014-03-31 18:01:39 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0341 https://rhn.redhat.com/errata/RHSA-2014-0341.html


Note You need to log in before you can comment on or make changes to this bug.